curl --request POST \
--url https://rest.compute.cudo.org/v1/billing-accounts/{id}:undelete \
--header 'Authorization: <api-key>'import requests
url = "https://rest.compute.cudo.org/v1/billing-accounts/{id}:undelete"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://rest.compute.cudo.org/v1/billing-accounts/{id}:undelete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"billingAddress": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"name": "<string>",
"phone": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"billingThreshold": {
"value": "<string>"
},
"createBy": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"creditBalance": {
"value": "<string>"
},
"creditBalanceRecharge": {
"autoRecharge": true,
"high": {
"value": "<string>"
},
"low": {
"value": "<string>"
},
"transaction": {
"amount": {
"value": "<string>"
},
"createTime": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"lastPaymentError": {
"code": "<string>",
"declineCode": "<string>"
},
"latestCharge": {
"amount": {
"value": "<string>"
},
"createTime": "2023-11-07T05:31:56Z",
"paid": true,
"refunded": true,
"status": "<string>",
"failureCode": "<string>"
},
"status": "<string>",
"succeeded": true
}
},
"deleteTime": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"hourlySpendLimit": {
"value": "<string>"
},
"hourlySpendRate": {
"value": "<string>"
},
"id": "<string>",
"invoiceTime": "2023-11-07T05:31:56Z",
"monthlySpend": "<string>",
"monthlySpendLimit": {
"value": "<string>"
},
"nextInvoiceTotal": {
"value": "<string>"
},
"paymentTerms": "PAYMENT_TERMS_UNSPECIFIED",
"purgeTime": "2023-11-07T05:31:56Z",
"state": "STATE_UNSPECIFIED",
"stripeRef": "<string>",
"taxId": {
"id": "<string>",
"type": "<string>",
"value": "<string>"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Undelete a billing account
Cancel the deletion of a billing account.
Authorizations
API key authentication. API keys should be passed using the format Bearer API_KEY.
Path Parameters
Response
A successful response.
Show child attributes
Show child attributes
A representation of a decimal value, such as 2.5. Clients may convert values into language-native decimal formats, such as Java's BigDecimal or Python's decimal.Decimal.
Show child attributes
Show child attributes
A representation of a decimal value, such as 2.5. Clients may convert values into language-native decimal formats, such as Java's BigDecimal or Python's decimal.Decimal.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A representation of a decimal value, such as 2.5. Clients may convert values into language-native decimal formats, such as Java's BigDecimal or Python's decimal.Decimal.
Show child attributes
Show child attributes
A representation of a decimal value, such as 2.5. Clients may convert values into language-native decimal formats, such as Java's BigDecimal or Python's decimal.Decimal.
Show child attributes
Show child attributes
A representation of a decimal value, such as 2.5. Clients may convert values into language-native decimal formats, such as Java's BigDecimal or Python's decimal.Decimal.
Show child attributes
Show child attributes
A representation of a decimal value, such as 2.5. Clients may convert values into language-native decimal formats, such as Java's BigDecimal or Python's decimal.Decimal.
Show child attributes
Show child attributes
PAYMENT_TERMS_UNSPECIFIED, PAYMENT_TERMS_PREPAID, PAYMENT_TERMS_INVOICE STATE_UNSPECIFIED, STATE_ACTIVE, STATE_SUSPENDED_ABUSE, STATE_SUSPENDED_PAYMENT, STATE_DELETED Show child attributes
Show child attributes